'ver 1.05  04-24-2017
' - INCLUDE appHelp, my own generated help file
'ver 1.06  06-17-2017
' - corrected bug, specified data folder for saving new file
' - corrected Return key break at last character of line
' - corrected last line printing after form feed
' - added some clarifying comments
'ver 1.07  04-19-2020
' - added results pane at bottom (did not work for user responses)
'ver 1.08  05-03-2020
' - determines class name that contains main function (must match filename)
' - checks if JDK is installed, offers to install JDK 7
'--------------------------------------------------------------------------------------

'Features         
'   menu bar
'   Toolbar
'   File tabs
'   Statusbar
'   Bookmarks
'   Preferences
'   Help & About 
'   Enter to add line
'   Find & Replace

'--------------------------------------------------------------------------------------

%IDC_Dummy       = 101    
%IDC_Edit        = 103
%IDC_Statusbar   = 109

'Toolbar
%IDC_Toolbar     = 200
%IDC_TBnew       = 201
%IDC_TBopen      = 202
%IDC_TBsave      = 203
%IDC_TBprint     = 204
%IDC_TBcut       = 205
%IDC_TBcopy      = 206
%IDC_TBpaste     = 207
%IDC_TBfind      = 208
%IDC_TBfindRepl  = 209
%IDC_TBbkMark    = 210
%IDC_TBbkMarkGo  = 211
%IDC_TBrun       = 212
%IDC_TBdivider   = 18

'File menu
%IDM_New         = 301
%IDM_Open        = 302
%IDM_Save        = 303
%IDM_SaveAs      = 304
%IDM_Print       = 305
%IDM_Execute     = 306
%IDM_Exit        = 307

'Edit menu      
%IDM_Undo        = 321
%IDM_SelAll      = 322
%IDM_Cut         = 323
%IDM_Copy        = 324
%IDM_Paste       = 325
%IDM_Yank        = 326
%IDM_WordWrap    = 327
%IDM_Prefer      = 328
%IDM_ConvCRLF    = 329
                                                                      
'Search menu
%IDM_Find        = 331
%IDM_FindNext    = 332
%IDM_FindPrev    = 333
%IDM_Replace     = 334
%IDM_SetBkmk     = 335
%IDM_NextBkmk    = 336
%IDM_PrevBkmk    = 337
%IDM_ClrBkmks    = 338

'Commands menu
%IDM_Comment     = 341
%IDM_Println     = 342
%IDM_RunProg     = 343
%IDM_Throw       = 344
%IDM_Read        = 345
                                                                      
'Help menu
%IDM_Content     = 381                
%IDM_About       = 382

'Mouse menu
%IDM_CopyLine    = 391
%IDM_PasteLine   = 392

'Preferences
%IDC_SavSize     = 402
%IDC_LastFile    = 403
%IDC_AskToQuit   = 404
%IDC_autoCompl   = 405
%IDC_TabSpaces   = 411
%IDC_EdtFont     = 412                                        
%IDC_PrnFont     = 413
%IDC_BkgColor    = 414
%IDC_Browser     = 415
%IDC_Apply       = 416

'Find & Replace
%IDC_What        = 501
%IDC_With        = 502
%IDC_Whole       = 503    
%IDC_Case        = 504
%IDC_NoCycle     = 505
%IDC_CycleBeep   = 506
%IDC_SrchUp      = 511
%IDC_SrchDn      = 512
%IDC_KeepOpen    = 513
%IDC_Replace     = 514
%IDC_ReplAll     = 515

global debugFlag as long

GLOBAL hDlg, hEdit, hFont, hImageList, hTab, hToolbar, hMenu as long
global hFileMenu, hEditMenu, hSrchMenu, hCmdsMenu, hHelpmenu, hMousemenu, hAccel, hTags AS LONG 
global topLine, numLines, lineNumbers, editTop, editHt, visibleLines, findDlg as long
global dlgX, dlgY, dlgWi, dlgHt, numFiles, TBsize, savSize as long
global lastFile, tabSpaces, dlgFont, printFont as long

global nowShowing, askToQuit as long
global autoCompl, currentX, currentY, charWi, lineHt, bookmarks, nBrowser as long
global gOrigEditProc, numLinesSav, bkgndColor, nWordWrap as long
GLOBAL xTab, yTab AS WORD
global version, dataFolder, thisFile, savFile, iniFile, browserFile, kbTab, lastLoadedFile as string
global tabSpac(), lineSpac(), edtFont(), prnFont(), bkgColor(), dataFiles() as string
global browser(), sBrowser(), tags() as string
global bkMarkArr() as long

